#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.61)
AC_INIT(OWL chess engine, 0.08, andrey.sofronov@gmail.com)
AM_INIT_AUTOMAKE([-Wall])
AC_CONFIG_SRCDIR([attacks.h])
AC_CONFIG_HEADER([config.h])

# Checks for programs.
AC_PROG_CC

# Checks for libraries.
AC_CHECK_LIB([pthread],[pthread_create])
AC_CHECK_LIB([m],[floor])

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([inttypes.h stdlib.h string.h sys/time.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
AC_TYPE_INT16_T
AC_HEADER_TIME
AC_TYPE_UINT16_T
AC_TYPE_UINT32_T
AC_TYPE_UINT64_T

# Checks for library functions.
AC_FUNC_MALLOC
AC_CHECK_FUNCS([floor getopt gettimeofday memset strchr strerror])

AC_ARG_ENABLE(console-debug, 
		[AS_HELP_STRING([--enable-console-debug], [additional debug information after each move.])],
		[AC_DEFINE([CONSOLE_DEBUG], [1], [enable console debug])
		 AC_DEFINE([STATISTIC_COUNTERS], [1], [calculate statistics])], [])

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
